package com.thesis.frondend.client;

import gwtupload.client.IUploader;
import gwtupload.client.SingleUploader;

import com.google.gwt.user.client.ui.SimplePanel;

/**
 * Fileupload class, using open-source library 
 *
 */
public class FileUploadPanel extends SimplePanel {

	private SingleUploader uploader;

	public FileUploadPanel(final ERA entryPoint) {

		uploader = new SingleUploader();
		uploader.setAutoSubmit(true);

		uploader.addOnFinishUploadHandler(new IUploader.OnFinishUploaderHandler() {
			@Override
			public void onFinish(IUploader uploader) {
				// Send filename to ERA.java
				entryPoint.sendFile(uploader.fileUrl());
				;
			}
		});
		add(uploader);
	}
}
