package com.thesis.frondend.client;

import java.io.Serializable;

/**
 * Item class, similar to the paper class in the backend
 */
public class Item implements Serializable {

	private static final long serialVersionUID = -2837158147229110136L;

	private String id;
	private String approach;
	private String title;

	private String year;
	private String method;
	private String country;
	private String publisher;
	private String cite_typ;

	public void setId(String id) {
		this.id = id;
	}

	public String getApproach() {
		return approach;
	}

	public void setApproach(String approach) {
		this.approach = approach;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getYear() {
		return year;
	}

	public void setYear(String year) {
		this.year = year;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getCite_typ() {
		return cite_typ;
	}

	public void setCite_typ(String cite_typ) {
		this.cite_typ = cite_typ;
	}

	public String getId() {
		return id;
	}

	@Override
	public String toString() {
		return id;

	}

}
